
//----------------------------------------------------
// The following code was generated by CUP v0.11a beta 20060608
// Wed Jun 05 11:08:28 CEST 2019
//----------------------------------------------------

package fr.irit.fiacre.etoile.expander;

/** CUP generated class containing symbol constants. */
public class sym {
  /* terminals */
  public static final int AT = 54;
  public static final int PRIORITY = 35;
  public static final int FROM = 84;
  public static final int GT = 60;
  public static final int BEFORE = 112;
  public static final int ARROW = 92;
  public static final int AMP = 46;
  public static final int APPEND = 31;
  public static final int TYPE = 45;
  public static final int CHANNEL = 44;
  public static final int READ = 37;
  public static final int LEADSTO = 117;
  public static final int CONST = 78;
  public static final int ENDPATTERN = 3;
  public static final int GE = 59;
  public static final int LEAVE = 124;
  public static final int UNTIL = 115;
  public static final int PROPERTY = 105;
  public static final int DEADLOCKFREE = 108;
  public static final int NEXT = 121;
  public static final int IFFALSE = 133;
  public static final int ELSIF = 86;
  public static final int RBRACK = 71;
  public static final int INIT = 95;
  public static final int ALT = 68;
  public static final int COMMA = 67;
  public static final int RBRACE = 75;
  public static final int T_BOOL = 20;
  public static final int RPAREN = 73;
  public static final int T_NAT = 21;
  public static final int LBRACK = 70;
  public static final int ALL = 103;
  public static final int LT = 57;
  public static final int FIRST = 26;
  public static final int DEQUEUE = 29;
  public static final int ALWAYS = 119;
  public static final int LTMID = 101;
  public static final int LBRACE = 74;
  public static final int SUB = 51;
  public static final int LPAREN = 72;
  public static final int T_INT = 22;
  public static final int LOOP = 98;
  public static final int PROCESS = 7;
  public static final int OUT = 33;
  public static final int FALSE = 24;
  public static final int NOT = 9;
  public static final int MIDGT = 102;
  public static final int LE = 58;
  public static final int ARRAY = 19;
  public static final int DEC = 135;
  public static final int AFTER = 113;
  public static final int VAR = 10;
  public static final int THEN = 14;
  public static final int TWODOT = 64;
  public static final int SYNC = 93;
  public static final int RECORD = 5;
  public static final int EQ = 61;
  public static final int MID = 48;
  public static final int MUL = 52;
  public static final int PRESENT = 111;
  public static final int EMPTY = 28;
  public static final int MOD = 50;
  public static final int SELECT = 16;
  public static final int FULL = 25;
  public static final int TAG = 127;
  public static final int UNLESS = 17;
  public static final int WRITE = 38;
  public static final int TRUE = 23;
  public static final int WITHIN = 129;
  public static final int SHARP = 53;
  public static final int EXISTS = 104;
  public static final int WHILE = 89;
  public static final int UNION = 4;
  public static final int RQBRACE = 83;
  public static final int PAR = 94;
  public static final int ASSIGN = 90;
  public static final int ENQUEUE = 30;
  public static final int STATE = 125;
  public static final int STATES = 88;
  public static final int LQBRACE = 82;
  public static final int NONE = 34;
  public static final int FOR = 131;
  public static final int DO = 40;
  public static final int NAT = 134;
  public static final int ADD = 49;
  public static final int DIV = 55;
  public static final int BEGINPATTERN = 2;
  public static final int LTL = 107;
  public static final int ELSE = 15;
  public static final int DOT = 65;
  public static final int CIRCUM = 69;
  public static final int LENGTH = 27;
  public static final int IFTRUE = 132;
  public static final int COERCE = 56;
  public static final int QUEUE = 6;
  public static final int NULL = 39;
  public static final int BETWEEN = 114;
  public static final int SEMICOLON = 91;
  public static final int EOF = 0;
  public static final int MORTAL = 110;
  public static final int WHERE = 12;
  public static final int ABSENT = 116;
  public static final int CONSTR1 = 81;
  public static final int CONSTR0 = 80;
  public static final int IS = 47;
  public static final int RCVE = 41;
  public static final int DBAR = 77;
  public static final int IN = 32;
  public static final int OR = 43;
  public static final int IDENT = 136;
  public static final int error = 1;
  public static final int ENTER = 123;
  public static final int ON = 99;
  public static final int IF = 85;
  public static final int IMP = 120;
  public static final int RELEASE = 122;
  public static final int LASTING = 130;
  public static final int OF = 13;
  public static final int END = 18;
  public static final int ASSERT = 106;
  public static final int COLON = 66;
  public static final int ANY = 11;
  public static final int FOREACH = 97;
  public static final int FIELD = 79;
  public static final int PORT = 36;
  public static final int CASE = 96;
  public static final int STRING = 137;
  public static final int INFINITELYOFTEN = 109;
  public static final int PRECEDES = 118;
  public static final int COMPONENT = 76;
  public static final int AND = 42;
  public static final int VALUE = 126;
  public static final int WAIT = 100;
  public static final int TO = 87;
  public static final int EVENT = 128;
  public static final int NE = 62;
  public static final int INFTY = 8;
  public static final int SEND = 63;
}

